Chrome Extension - Browser Could Not Be Verified - running 1Password 4.4.3 on OS 10.9.5

MattachooMattachoo
edited May 2017 in Mac

Hi, I'm one of those people who runs old software on old OSes...

Anyways, like many others have reported, I too have seen my Chrome extension stop working. I believe this started when Chrome auto-updated to version 58.

The basics I've done:

  • Chrome is not in the middle of an update.
  • Quit and Relaunched Chrome.
  • Reinstalled 1P Chrome Extension
  • Checked for updates on 1Password 4 (there aren't any).

My versions:

  • Chrome: Version 58.0.3029.110 (64-bit)
  • 1Password: Version 4.4.3
  • Chrome Extension (1Password - Password Manager and Secure Wallet): Version 4.6.5.90
  • OS: 10.9.5

Looking through the other posts, it looks like most people say upgrade to 1Password 6.7 fixed their issue.

That currently isn't an option for me.

Any hope for (folks like) me?


1Password Version: 4.4.3
Extension Version: 4.6.5.90
OS Version: 10.9.5
Sync Type: Dropbox

Comments

  • rudyrudy

    Team Member

    @Mattachoo,

    Your two options are:

    • Update to 10.10 or newer and 1Password 6.7 or newer
    • Stay on 10.9.5 w/ 1Password 4.4.3 and turn off the Codesign check in the Advanced settings.

    Rudy

  • Drew_AGDrew_AG 1Password Alumni

    Hi @Mattachoo,

    To elaborate a bit on why those are your two options: The problem you're running into is that Chrome version 58 for Mac uses a new identifier in its certificate (which is a result of Google renewing their signing certificate after it recently expired). 1Password version 6.7 has the updated code signature for Chrome, but older versions don't. That's why you're getting the “Browser could not be verified” error in 1Password 4.

    We highly recommend upgrading macOS and 1Password, but if you can't do that, you'll need to go to 1Password > Preferences > Advanced and un-check the option for "Verify browser code signature" in order to use 1Password 4 with Chrome 58.

    Please let us know if you have more questions about that. Cheers! :)

  • Hi @Dred_AG and @rudy , thanks for the replies.

    Yep, removing the "Browser Code Signature" worked (I wonder if it is related to this? I am a web developer and ran into that problem with some local development / self-signed certs after Chrome 58 came out).

    I completely understand the recommendation of upgrading my OS (which I'd need to do as 1Password 5 (and 6) requires macOS 10.10), but I appreciate that there is a work around for me.

    Thanks!

  • Drew_AGDrew_AG 1Password Alumni

    You're very welcome, @Mattachoo! We don't normally recommend disabling the code signature verification because it's a security feature that prevents your data from being stolen in case your browser has been tampered with. But if you can't update 1Password because you can't update the OS, it's the only way to use 1Password 4 with Chrome 58.

    We're here for you if you need anything else. Have a great weekend! :)

  • rudyrudy

    Team Member

    @Mattachoo,

    That doesn't look related. The certificate Google signs the browser with is issued by Apple. When they re-issued the certificate the identifier string changed substantially from what 1Password 4 was expecting to find.

    Rudy

This discussion has been closed.